summaryrefslogtreecommitdiff
path: root/dev-python/pymemcache/pymemcache-4.0.0.ebuild
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-16 10:59:35 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-16 10:59:35 -0500
commita46f0ec88e6c7ea84ed2f67a40bbf89ef44bc6af (patch)
tree98303deb2a205a7f39cffa3a960c1762559c7a7d /dev-python/pymemcache/pymemcache-4.0.0.ebuild
parent8e65dc62f3f9f6b8f7b890fefedbf4ac05dfde0b (diff)
downloadbaldeagleos-repo-a46f0ec88e6c7ea84ed2f67a40bbf89ef44bc6af.tar.gz
baldeagleos-repo-a46f0ec88e6c7ea84ed2f67a40bbf89ef44bc6af.tar.xz
baldeagleos-repo-a46f0ec88e6c7ea84ed2f67a40bbf89ef44bc6af.zip
Adding metadata
Diffstat (limited to 'dev-python/pymemcache/pymemcache-4.0.0.ebuild')
-rw-r--r--dev-python/pymemcache/pymemcache-4.0.0.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/pymemcache/pymemcache-4.0.0.ebuild b/dev-python/pymemcache/pymemcache-4.0.0.ebuild
new file mode 100644
index 000000000000..6d744a7279b4
--- /dev/null
+++ b/dev-python/pymemcache/pymemcache-4.0.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+inherit distutils-r1
+
+DESCRIPTION="A comprehensive, fast, pure-Python memcached client."
+HOMEPAGE="https://github.com/pinterest/pymemcache"
+SRC_URI="https://github.com/pinterest/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/faker[${PYTHON_USEDEP}]
+ dev-python/pylibmc[${PYTHON_USEDEP}]
+ dev-python/python-memcached[${PYTHON_USEDEP}]
+ dev-python/zstd[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/sphinx-rtd-theme \
+ dev-python/sphinxcontrib-apidoc
+
+src_prepare() {
+ sed -i -e '/--cov=/d' setup.cfg || die
+
+ distutils-r1_src_prepare
+}